Security Enhanced Linux Reference Policy

# Layer: system

## Module: lvm

Interfaces

### Description:

Policy for logical volume management programs.

### Interfaces:

lvm_admin( domain , role )

##### Summary

All of the rules required to administrate an lvm environment.

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain allowed access.
role | Role allowed access.

lvm_create_lock_dirs( domain )

##### Summary

Create lvm_lock_t directories

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain allowed access.

lvm_domtrans( domain )

##### Summary

Execute lvm programs in the lvm domain.

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain allowed to transition.

lvm_domtrans_clvmd( domain )

##### Summary

Execute a domain transition to run clvmd.

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain allowed to transition.

lvm_exec( domain )

##### Summary

Execute lvm programs in the caller domain.

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain allowed access.

lvm_manage_config( domain )

##### Summary

Manage LVM configuration files.

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain allowed access.

lvm_read_config( domain )

##### Summary

Read LVM configuration files.

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain allowed access.

lvm_run( domain , role )

##### Summary

Execute lvm programs in the lvm domain.

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain allowed to transition.
role | The role to allow the LVM domain.

lvm_rw_inherited_pid_pipes( domain )

##### Summary

Read and write a lvm unnamed pipe.

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain allowed access.

lvm_signull( domain )

##### Summary

Send lvm a null signal.

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain allowed access.

lvm_use_sem( domain )

##### Summary

Allow lvm_t to use a semaphore

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain that created the semaphore

Return